Package ch.qos.logback.core.joran.action

# Enum ActionUtil.Scope

java.lang.Object
java.lang.Enum<ActionUtil.Scope>
ch.qos.logback.core.joran.action.ActionUtil.Scope

All Implemented Interfaces:
  `Serializable`, `Comparable<ActionUtil.Scope>`, `java.lang.constant.Constable`

Enclosing class:
  ActionUtil

public static enum ActionUtil.Scope extends Enum<ActionUtil.Scope>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CONTEXT`
`LOCAL`
`SYSTEM`

## Method Summary

Modifier and Type
Method
Description
`static ActionUtil.Scope`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static ActionUtil.Scope[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### LOCAL

public static final ActionUtil.Scope LOCAL

### CONTEXT

public static final ActionUtil.Scope CONTEXT

### SYSTEM

public static final ActionUtil.Scope SYSTEM

## Method Details

### values

public static ActionUtil.Scope[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static ActionUtil.Scope valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null